Package: grails.compiler.ast

## [Java] Interface GrailsDomainClassInjector

- grails.compiler.ast.ClassInjector

- All Superinterfaces:
    ClassInjector

      public interface GrailsDomainClassInjector
      extends ClassInjector

  Mainly just a marker interface for implementations that perform injection on domain classes.

  Authors:
    Graeme Rocher
  Since:
    0.2

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `interface ClassInjector` | `PRIVATE_STATIC_MODIFIER`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `performInjectionOnAnnotatedEntity(org.codehaus.groovy.ast.ClassNode classNode)` Doesn't check with the specified ClassNode is a valid entity and assumes it is and proceeds with the injection regardless.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface ClassInjector` | `performInjection, performInjection, performInjectionOnAnnotatedClass, shouldInject`

- - ### Method Detail

    - #### public void performInjectionOnAnnotatedEntity(org.codehaus.groovy.ast.ClassNode classNode)

      Doesn't check with the specified ClassNode is a valid entity and assumes it is and proceeds with the injection regardless.

      Parameters:
        `classNode` - The ClassNode
      Since:
        1.1